/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ch.capi.test;

import javax.ejb.EJB;
import javax.ejb.Stateless;

/**
 *
 * @author ctabin
 */
@Stateless
public class RemoteFacadeBean implements RemoteFacadeRemote {
    
    @EJB
    private LocalProcessorSaverLocal localProcessorSaverBean;
    
    @EJB
    private LocalProcessorLocal localProcessorBean;
    
    public String test(String input)
    {
        return localProcessorBean.test(input)+" / "+localProcessorSaverBean.saveMe();
    }
    
    public String testException(String input)
    {
        String result = "";

        try
        {
             result = localProcessorBean.testException(input);
        }
        catch (Exception e)
        {
            result = localProcessorSaverBean.saveMe();
        }
        
        return result;
    }
 
}
